/*
 * Christoph Peters
 */


/**
 * Ein Objekt dieser Klasse reprsentiert eine Ausnahme fr eine
 * Variable mit unbestimmtem Bezeichner.
 */
public class UnbekannteVariableException extends Exception {
    
    /**
     * Erzeugt Objekte dieser Klasse mit der Bezeichnung der unbestimmten
     * Variablen.
     *
     * @param variablenBezeichner  Bezeichnung der unbestimmten Variable
     */
    public UnbekannteVariableException(String variablenBezeichner) {
        
        super(variablenBezeichner);
    }
    
    
    /**
     * Liefert den Bezeichner der Variable, fr die diese Ausnahme
     * erzeugt wurde.
     *
     * @return  Bezeichner der unbestimmten Variable.
     */
    public String gibBezeichner() {
        
        return super.getMessage();
    }
}
