/*
 * Christoph Peters
 */

/**
 * Ein Objekt dieser Klasse reprsentiert eine Variable,
 * d.h. einen "einfachen" Ausdruck.
 */
public class Variable extends Ausdruck {

  /** Bezeichner dieser Variable. */
  private String bezeichner;
  
  /**
   * Erzeugt ein Objekt dieser Klasse mit dem angegebenen Bezeichner.
   *
   * @param bezeichner  Bezeichner dieser Variable
   */
  public Variable(String bezeichner) {
    
    this.bezeichner = bezeichner;
  }
  
  /**
   * Stellt diesen Ausdruck in Postfix-Darstellung dar.
   *
   * @return Postfix-Darstellung dieses Ausdrucks
   */
  public String postfixDarstellung() {
    
    return bezeichner;
  }

  /**
   * Wertet diesen Ausdruck auf der Basis der angegebenen
   * Variablenbelegung aus.
   *
   * @param belegung  Variablenbelegung, auf deren Basis
   *        dieser Ausdruck ausgewertet wird
   * @return Wert dieses Ausdruck
   * @throws UnbekannteVariableException  wird geworfen, wenn
   *         diese Variable in der Belegung keinen
   *         zugeordneten Wert besitzt
   */
  public int gibWert(Variablenbelegung belegung)
          throws UnbekannteVariableException {
            
    return belegung.gibWert(bezeichner);
  }

}
